/*************************************************************************
 * output-prelude.h
 *
 * This module contains the output mechanism for PADS to send IDMEF alerts
 * via the prelude library. 
 *
 * Copyright (C) 2008 Steve Grubb <sgrubb@redhat.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 **************************************************************************/
#ifndef OUTPUT_PRELUDE_HEADER
#define OUTPUT_PRELUDE_HEADER

/* DEFINES ----------------------------------------- */
#ifdef LINUX
#ifndef __FAVOR_BSD
#define __FAVOR_BSD
#endif
#ifndef _BSD_SOURCE
#define _BSD_SOURCE
#endif
#endif /* ifdef LINUX */


/* INCLUDES ---------------------------------------- */
#include "output.h"


/* PROTOTYPES -------------------------------------- */
#ifdef HAVE_PRELUDE
int setup_output_prelude (void);
#else
#define setup_output_prelude() 0
#endif
int init_output_prelude (bstring args);
int print_asset_prelude (Asset *rec);
int print_arp_asset_prelude (ArpAsset *rec);
int end_output_prelude (void);

#endif

